Bug 888756 - Packstack: do not guess CONFIG_LIBVIRT_TYPE from the machine running packstack
Packstack: do not guess CONFIG_LIBVIRT_TYPE from the machine running packstack
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-packstack (Show other bugs)
2.0 (Folsom)
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Derek Higgins
Nir Magnezi
: Improvement, Triaged
Depends On:
  Show dependency treegraph
Reported: 2012-12-19 07:32 EST by Yaniv Kaul
Modified: 2016-04-27 01:27 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-01-29 06:10:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Yaniv Kaul 2012-12-19 07:32:28 EST
Description of problem:
I'm running packstack from a VM (which is also going to be my horizon server), but my Nova-compute host are going to be real servers. packstack assumed CONFIG_LIBVIRT_TYPE=qemu because it was executed from a VM.
Instead, it should look into the nova-compute hosts and decide if they are VMs or physical hosts and act accordingly (should be pretty simple to deduce if they are KVM/QEMU hosts - just look at their BIOS)

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Derek Higgins 2012-12-19 18:51:25 EST
Fix now committed upstream

CONFIG_LIBVIRT_TYPE is no longer used, and libvirt type is being determined on the compute host using the is_virtual facter fact
Comment 5 Nir Magnezi 2013-01-21 09:51:41 EST
Verified With: openstack-packstack-2012.2.2-0.1.dev317.el6.noarch

ran packstack on a Virtual Machine.
Checked nova.conf on the physical nova-compute nodes:

Comment 7 errata-xmlrpc 2013-01-29 06:10:39 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.